html,
body {
    height: 100%;
}

h2 {
    font-size: 1.75rem;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap > .container {
    padding: 30px 15px;
}

.custom-control-label {
    font-weight: normal !important;
}

.text-brown {
    color: #8b4513 !important;
}

a.text-orange:hover, a.text-orange:focus {
    color: #af4914 !important;
}

.text-decoration-underline {
    text-decoration: underline;
}

.btn {
    margin: 0;
}

.btn > * + * {
    margin-left: 8px;
}

.btn-xs {
    padding: .05rem .5rem;
}

.btn-sm {
    padding: .25rem .75rem;
}

.btn-vertical {
    margin: 3px;
}

.btn-vertical > * {
    display: block;
    margin: 2px auto;
}

.size-100 {
    height: 100px;
    width: 100px;
}

.size-200 {
    height: 200px;
    width: 200px;
}

.max-height-500 {
    max-height: 500px;
    overflow-y: auto;
}

table.layout-fixed {
    table-layout: fixed;
}

.color {
    border-radius: 3px;
    width: 75px;
}

.border-solid-thin {
    border-style: solid;
    border-width: 1px;
}

.icon-128 {
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    height: 128px;
    min-width: 128px;
}

@media (min-width: 768px) {
    .form-horizontal .row .col-form-label {
        text-align: right;
    }
    input[type=date],
    input[type=time],
    .fixed-size,
    .fixed-size > input[type=text],
    .fixed-size.input-group > .input-group-addon {
        width: auto;
    }
    .fixed-size.input-group,
    .fixed-size.form-group .input-group {
        width: fit-content;
    }
}

@media (max-width: 768px) {
    .dashboard-index .section-title h2 {
        font-size: 1.4rem;
    }
    .dashboard-index .btn-vertical img {
        height: 64px;
    }
    .dashboard-index .btn-vertical span, .settings-index .btn-vertical span {
        font-size: 0.8rem;
    }
    .settings-index .icon-128 {
        height: 64px;
        min-height: 64px;
    }
}

.nav-tabs .nav-item {
    margin-bottom: -1px;
}

select.has-placeholder.placeholder,
option.placeholder {
    color: #999999;
}

select.has-placeholder.placeholder option:not(.placeholder) {
    color: initial;
}

.alert > .fas,
.alert > .far {
    padding-right: 1rem;
}

.alert-dismissible > .close {
    padding-bottom: .4rem;
    padding-top: .4rem;
}

#overlay {
    background-color: rgba(0,0,0,0.5);
    bottom: 0;
    cursor: default;
    display: none;
    height: 100%;
    left: 0;
    line-height: 100%;
    position: fixed;
    right: 0;
    top: 0;
    width: 100%;
    z-index: 99999;
}

#overlay.overlay-wait {
    background-image: url(../images/loading.gif);
    background-position: center center;
    background-repeat: no-repeat;
}

#overlay > div.center {
    color: #ffffff;
    font-size: 30px;
    font-weight: bold;
    letter-spacing: 2px;
    position: relative;
    text-align: center;
    text-shadow: 0 0 10px #000000, 0 0 10px #000000, 0 0 10px #000000;
    top: 50%;
}

.block-loading {
    position: relative;
    overflow: hidden;
    max-height: 100%;
}

.block-loading .block-loader-overlay {
    display: block;
}

.block-loader-overlay {
    background: transparent;
    position: absolute;
    opacity: 0.6;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
}

.block-loading .card,
.block-loading .table {
    background: transparent;
    opacity: 0.6;
}

.block-loader {
    position: absolute;
    background: #fff url('../images/loading.gif') center center no-repeat !important;
    width: 100px;
    height: 100px;
    top: 50%;
    left: 50%;
}

.row-loading {
    background-image: url('../images/loading.gif');
    background-position: left center;
    background-repeat: no-repeat;
    background-size: 30px;
    height: 30px;
    padding-left: 40px;
}

.row-disabled {
    background-color: lightgrey;
    color: darkgrey;
}

ul.basic-list {
    list-style-position: inside;
    margin-bottom: 5px;
    padding: 0;
}

div.card-selectable {
    border-color: transparent;
    border-style: solid;
    border-width: 3px;
}
div.card-selectable.selected.selected-success {
    border-color: #28a745;
}
div.card-selectable.selected.selected-danger {
    border-color: #dc3545;
}
div.card-selectable:not(.selected-success) .row-select-success {
    background-color: #28a74545;
}
div.card-selectable:not(.selected-danger) .row-select-danger {
    background-color: #dc354545;
}
div.card-selectable.selected-success .row-select-success {
    background-color: #28a745;
}
div.card-selectable.selected-danger .row-select-danger {
    background-color: #dc3545;
}
table.table-bordered tbody tr.row-separator:not(:last-of-type) {
    border-bottom: solid 2px #333333;
}

.btn-link.collapsed > .fas.fa-chevron-down {
    rotate: -90deg;
}